{% extends 'base.html' %}

{% block content %}

    <!-- error alert -->
    {% for field in form %}
        {% if field.errors %}
            {% for error in field.errors %}
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    {{ error }}
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            {% endfor %}
        {% endif %}
    {% endfor %}


    <div class="container">
        <div class="card border-0 shadow my-5">
            <div class="card-body p-5">
                <div class="mb-3">
                    <h2>Login</h2>
                </div>

                <div class="row">
                    <div class="col-6">
                        <form method="post">
                            {% csrf_token %}

                            <div class="form-group">
                                <label for="{{ form.username.id_for_label }}"><b>E-Mail</b></label>
                                <input type="text" class="form-control" id="{{ form.username.id_for_label }}"
                                       name="{{ form.username.html_name }}"
                                       placeholder="E-Mail" required>
                                {% if form.email.errors %}
                                    <small class="form-text text-alert">{{ form.username.errors.0 }}</small>
                                {% endif %}
                            </div>

                            <div class="form-group">
                                <label for="{{ form.password.id_for_label }}"></label>
                                <input type="password" class="form-control"
                                       id="{{ form.password.id_for_label }}"
                                       placeholder="Password" name="{{ form.password.html_name }}" required>
                                {% if form.password.errors %}
                                    <small class="form-text text-alert">{{ form.password.errors.0 }}</small>
                                {% endif %}

                                <button type="submit" class="btn btn-primary" style="margin-top: 15px">Login</button>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}